Bug 149787 - CRASH: closing area dialog after closing Add color palette via extension dialog
Summary: CRASH: closing area dialog after closing Add color palette via extension dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.5.0 target:7.3.5 target:7.4....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-06-30 09:14 UTC by Xisco Faulí
Modified: 2022-07-01 14:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["sd::ViewShell::Cancel()"]
Regression By: Heiko Tietze


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-06-30 09:14:27 UTC
Steps to reproduce:
1. Open impress
2. Insert a shape
3. Right Click - Area
4. Click on 'Add Color palette via extension'
5. Close the dialog
6. CLose the Are dialog

-> Crash

Reproduced in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: b55a0eea78837d43e77078e96729befb8e420773
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-06-30 09:24:05 UTC
Regression introduced by:

author	Heiko Tietze <tietze.heiko@gmail.com>	2021-09-02 10:38:14 +0200
committer	Heiko Tietze <heiko.tietze@documentfoundation.org>	2021-09-03 11:59:17 +0200
commit ef3dd0e04e734974ff9a6b7f30d0377ecd952842 (patch)
tree df05031bd006061427f6d9217bdfd7061d3ef52f
parent e72a7368b368a822d2400ee7db60312226ad3195 (diff)
Resolves tdf#120333 - Access to color palettes via tight extensions

Bisected with: bibisect-linux64-7.3

Adding Cc: to Heiko Tietze
Comment 2 Xisco Faulí 2022-06-30 09:28:52 UTC
@Caolán, I thought you might be interested in this issue
Comment 3 Caolán McNamara 2022-06-30 15:34:17 UTC
I feel that commit is innocent for why it crashes, maybe just adds more "stuff" so a use after free is more likely to crash.

https://gerrit.libreoffice.org/c/core/+/136679 seems to work for me to avoid the problem.
Comment 4 Commit Notification 2022-06-30 19:55:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/27ad7de6a9a8a019a0138179685268fc52e010d0

tdf#149787 capture a copy of mpViewShell and mpView

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2022-06-30 20:26:13 UTC
i'll assume what i saw was the same problem and call it fixed, backports to7-4 and 7-3 in gerrit
Comment 6 Xisco Faulí 2022-07-01 09:11:09 UTC
Issue verified in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 48010539f695bc269034f12cf72aa0665cca10de
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!!
Comment 7 Commit Notification 2022-07-01 09:11:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/744439e73038ea5bdbdd18b10e0e90c22bb9928c

tdf#149787 capture a copy of mpViewShell and mpView

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-07-01 09:13:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/2739910b02dbf5e8bf89b7edd48428c4df31f319

tdf#149787 capture a copy of mpViewShell and mpView

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-07-01 14:48:29 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c62587987f2046b3b4b22af3d9897dd17077d5a8

tdf#149787: sd: Add unittest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.